function lint,xd,yd,xp
;
; linear interpolation of y(x) at xp
;
nd=n_elements(xd)
np=n_elements(xp)
tmp=xp
;
; sort in order of increasing x
;
x=xd & y=yd
if(x(0) gt x(nd-1))then begin
 x=reverse(x)
 y=reverse(y)
endif
for i=long(0),np-1 do begin
 n=where(x eq xp(i),ic)
 if(ic eq 1)then begin
;  print,'x= xi)',xp(i)
  tmp(i)=y(n)
 endif else begin
  if(xp(i) lt x(0))then begin
   n=0
  endif else if(xp(i) gt x(nd-1))then begin
   n=nd-2
  endif else begin
;
; find closest point less than xp
;
   n=where((x-xp(i)) le 0.0,ic)
   if(ic eq 0)then begin
    n=0
    print,'x lt xp ',xp(i)
   endif else begin
    n=n(ic-1)
   endelse
   if(n eq nd-1)then n=n-1
  endelse
  tmp(i)=y(n)+(xp(i)-x(n))*(y(n+1)-y(n))/(x(n+1)-x(n))
 endelse
endfor
return,tmp
end
