cartrn=''
hdr=''
;
;  read in coefficients v8 data file
;
v8bass=fltarr(6,1601)
;file_name='/misc/cgw/source/v8tables/BSBR_V8.DAT'
file_name='/misc/cgw/source/v8alpha/NEWBASS_V8.DAT'
openr,iunit, file_name, /get_lun
readf,iunit,hdr
readf,iunit,v8bass
close,iunit
free_lun, iunit
;
;  read in coefficients v7 data file
;
v7bass=fltarr(6,3047)
file_name='/misc/cgw/source/v7simtoms/BASS_2.DAT'
openr,iunit, file_name, /get_lun
readf,iunit,v7bass
close,iunit
free_lun, iunit
;
plot,v7bass(0,*),v7bass(1,*),psym=3,xrange=[3110.0,3135.0],xstyle=1, $
    xtitle='Wavelength (A)',ytitle='Absorption Coefficient',ystyle=16
read,cartrn
oplot,v8bass(0,*),v8bass(1,*),psym=3
read,cartrn
;
;  define set of bass wavelengths surrounding band center wavelength (bcw)
;
bcw = 3123.4
fwhm = 11.32
intgrl=where(abs(v7bass(0,*)-bcw) lt fwhm,nint)
wav7=reform(v7bass(0,intgrl))
dlam=abs(wav7-bcw)
v7slit=1.0-abs(dlam)/fwhm
v7c0=reform(v7bass(1,intgrl))
v7c1=reform(v7bass(2,intgrl))
v7c2=reform(v7bass(3,intgrl))
v7bet=reform(v7bass(4,intgrl))
v7rho=reform(v7bass(5,intgrl))
;
bcw = 3123.4
intgrl=where(abs(v8bass(0,*)-bcw) lt fwhm,nint)
wav8=reform(v8bass(0,intgrl))
dlam=abs(wav8-bcw)
v8slit=1.0-abs(dlam)/fwhm
v8c0=reform(v8bass(1,intgrl))
v8c1=reform(v8bass(2,intgrl))
v8c2=reform(v8bass(3,intgrl))
v8bet=reform(v8bass(4,intgrl))
v8rho=reform(v8bass(5,intgrl))
;
end
