	program main
c
c compute the effective King correction for molecular scattering
c and the depolarization factor
c
c w = wavelength
c Fk = king correction factor (see. Bates, 1984, Planet space Sci.
c      Vol32, pp, 785-790 and Young, 1982, 
c      Physics Today, Jan., pp. 2-8. )
c rhon = depolarization ratio
c
        implicit none
c
        real*8 w,fkp_bates,fk,rhon
        external fkp_bates
c
c        write(6,*)'input the wavelength in micrometers '
10      read(5,*,end=20)w
        w=w*1.0d-04
        fk=fkp_bates(w)
        rhon=6.0*(fk-1.0)/(7.0*fk+3.0)
        write(6,1000)w*1.0d04,fk,rhon
1000    format(f10.2,f8.4,f8.5)
        goto 10
20      continue
        end
