SO2_TEMP='210'

     itype=1 & citype='_triangular' & fwhm=0.45 & cfwhm='_fwhm45'	; OMI synthetic  slit
chan_vac=fltarr(201) &  for i=0,200 do chan_vac(i)=300.0+i*0.15	; GEOCAPE calculations
;chan_vac=fltarr(34) &  for i=0,33 do chan_vac(i)=310.0+i*0.15   ; OMI AMF calculations: ~/OMISO2/LUT_GEN/profs/SO2

;krotkov@omiomy:~/OMISO2/LUT_GEN/profs/SO2>more inp.dat
;0.310 0.315                     !wmin & wmax (micron)
;1 3.0 1.0 2.1                   !slittype, sampling increments (A) RESOLUTION: 6, 4.5 and 6.3 (FWHM)
;3100.0 3150.0 10.0 4.0 10.0     !boundary waves & corres. increments for GS
;1 6                             !relat. surf. pressure & surf. model
;2 4 0.00 0.0 1.0                !aer. model & type, opt. depth; aer. max and width (km)
;oz_std_prof.dat                           !oz & temp data file
;11 26                           !No. of prof out of total No.
;0.010 0.0 500.0                 !total SO2 (atm*cm), so2maxheight, so2width 
;1 1 1                           !No. of SZA, VZA, & PHI
;46.0 30.0 45.0 60.0 70.0 77.0 81.0 84.0 86.0                            !SZA
;0.0 15.0 30.0 45.0 60.0                            !VZA
;90.0 30.0 60.0 90.0 120.0 150.0 180.0                           !PHI
;
;krotkov@omiomy:~/OMISO2/LUT_GEN/profs/SO2>more README 
;OMI Synthetic Data Generation Software
;Line 1
;Specifies the spectral range: start and stop wavelengths (in microns)
;Line 2
;Specifies a type of the slit function: 1 if the triangle slit function, 2 if the 
;rectangular slit function.
;Specifies wavelength sampling (in Angstroms) for three OMI channels: 
;2700-3100 A, 3100-3650 A, and 3650-5000 A.
;spectral resolution is assumed 
;6A UV1         4.5 UV2    and 6.3 VIS  [FWHM]
;In this example, sampling in UV2 and VIS = FWHM/3

;    itype=1 & citype='_triangular' & fwhm=1.10 & cfwhm='_fwhm110'	; TOMS slit
;    itype=3 & citype='_gaussian' & fwhm=0.134766 & cfwhm='_fwhm03167'	; a2=fwhm/2/sqrt(2ln(2) , fwhm=0.3167
; slit(x,FWHM)=exp(-4ln2 x^2/(FWHM)^2 )/sqrt(pi*(FWHM)^2/4ln2 )
; 0- rectangular; 1-triangular; 2 -LORE; 3- general Gaussian


;	I. READ MONOCHOMATIC VACUUM x-sections: V217/coe.dat
;   	Monochromatic x-sections: Bass and Paur 
;		V8 extended beyong 410nm with V7
;mlt=2106 & mszat=0 &  read_coe, './BSBR_V8.DAT.extended', mlt,lv_t, c0v_t,c1v_t,c2v_t,betv_t,rhov_t,header 
;               V8
 mlt=1601 & mszat=0 &  read_coe, './BSBR_V8.DAT.ref',1, mlt,lv_t, c0v_t,c1v_t,c2v_t,betv_t,rhov_t,header 
;	same as  '../TOMRAD/v2.22/coe.dat', mlt,lv_t, c0v_t,c1v_t,c2v_t,betv_t,rhov_t,header 
;		V7
;mlt=1075 & mszat=0 &  read_coe, './BSBR_V7.DAT', mlt,lv_t, c0v_t,c1v_t,c2v_t,betv_t,rhov_t,header 
;	same as: '../TOMRAD/v2.22/coe.dat.old', mlt,lv_t, c0v_t,c1v_t,c2v_t,betv_t,rhov_t,header 

;	Ib:  read SO2 abs coefficients
read_so2,'./so2_sasha.coe','MGB_xsection',2,3091,1,SO2_TEMP,'Angstrom',lv_tso2,gammav_tso2
;read_so2,'./SO2/bogumil2000_'+SO2_TEMP,'SCIA_xsection',2,1402,35,SO2_TEMP,'nm',lv_tso2,gammav_tso2


;			SOLAR
input_solar_choice:              ;      Ic. READ MONOCHOMATIC VACUUM ETS values
solar_name='' &  read,'Input monochromatic solar referemce choice ''mayer''  or ''chance'': ',solar_name
CASE solar_name OF
;       Ia read F0 at vac solar wavelengths
'mayer' : read_solar,'./ETS/mayer_vac_ipmmi.txt', 0.001,275,14,8479,l_solv,ml_solv,solv
'chance': read_solar,'./ETS/kchance_295_325.txt'    ,  1.0, 275,1, 3001,l_solv,ml_solv,solv
ELSE:  begin & print,'not a valid name' & goto,input_solar_choice & end
ENDCASE



;       Extrapolate x-sections to the solar vac wavelengths: ltv --> l_solv
;				multiply with ETS
c0v_s      = 	dblarr(ml_solv)
c1v_s      = 	dblarr(ml_solv)
c2v_s      = 	dblarr(ml_solv)
alpha228T_s   = dblarr(ml_solv)
gammav_s      = dblarr(ml_solv)
betv_s     = 	dblarr(ml_solv)
rhov_s     = 	dblarr(ml_solv)

c0v_s(*)  = interpol(c0v_t,lv_t,l_solv)*solv(*)
c1v_s(*)  = interpol(c1v_t,lv_t,l_solv)*solv(*)
c2v_s(*)  = interpol(c2v_t,lv_t,l_solv)*solv(*)
alpha228T_s(*) = c0v_s(*) + c1v_s(*)*(-45.0) + c2v_s(*)*2025.0 
gammav_s(*)  = interpol(gammav_tso2,lv_tso2,l_solv)*solv(*)
betv_s(*) = interpol(betv_t,lv_t,l_solv)*solv(*)
rhov_s(*) = interpol(rhov_t,lv_t,l_solv)*solv(*)

;		!!!! check longer wavelength  !!!!
 ind=where(l_solv gt 300.0 and l_solv le 340.0 ,count)


chan=chan_vac	& print,chan_vac

mchan=n_elements(chan)
c0v_c      = dblarr(mchan)
c1v_c      = dblarr(mchan)
c2v_c      = dblarr(mchan)
alpha228T  = dblarr(mchan)	; O3  abs coeff at -45C
gamma  = dblarr(mchan)	; SO2 abs coeff

betv_c     = dblarr(mchan)
rhov_c     = dblarr(mchan)
solv_c     = dblarr(mchan)


for il=0,mchan-1 do begin
;			    x0    fwhm    itype,     x,      y
       c0v_c(il) =slitavg(chan(il),  fwhm,   itype, l_solv, c0v_s)
       c1v_c(il) =slitavg(chan(il),  fwhm,   itype, l_solv, c1v_s)
       c2v_c(il) =slitavg(chan(il),  fwhm,   itype, l_solv, c2v_s)
       gamma(il) =slitavg(chan(il),  fwhm,   itype, l_solv, gammav_s)

       betv_c(il) =slitavg(chan(il),  fwhm,   itype, l_solv, betv_s)
       rhov_c(il) =slitavg(chan(il),  fwhm,   itype, l_solv, rhov_s)
       solv_c(il) =slitavg(chan(il),  fwhm,   itype, l_solv, solv  )
endfor


;	II. Normalize x-sections to average vac ETS flux for each channel:

for il=0,mchan-1 do begin
       c0v_c(il) =c0v_c(il) / solv_c(il)                           
       c1v_c(il) =c1v_c(il) / solv_c(il)                           
       c2v_c(il) =c2v_c(il) / solv_c(il)                            
       alpha228T(il) = c0v_c(il) + c1v_c(il)*(-45.0) + c2v_c(il)*2025.0 
       gamma(il) = gamma(il) / solv_c(il)
	
       betv_c(il) = betv_c(il) / solv_c(il)                            
       rhov_c(il) = rhov_c(il) / solv_c(il)                         
endfor


;	II. Write high resolution and chanel radiances to  files:


;close,3    & openw,3, 'coev_s'
;printf,3,'Vac Wavelength  ',' alpha228T','   gamma'+SO2_TEMP, '	gamma'+SO2_TEMP+'/alpha228T'
;
;	for il=0,count-1 do begin
;;	printf,3,l_solv(ind(il)),c0v_s(ind(il))/solv(ind(il)),c1v_s(ind(il))/solv(ind(il)),c2v_s(ind(il))/solv(ind(il)),betv_s(ind(il))/solv(ind(il)),rhov_s(ind(il))/solv(ind(il)),gammav_s(ind(il))/solv(ind(il))
;	printf,3,l_solv(ind(il)),alpha228T_s(ind(il))/solv(ind(il)),gammav_s(ind(il))/solv(ind(il)),gammav_s(ind(il))/alpha228T_s(ind(il))
;	endfor

;read_so2,'./SCIAMACHY_PFM_SO2_Absorption_TCelsius_FWHM38_coef.txt','temp_coeff',4,571,11,SO2_TEMP,'nm',lv_tso2,gammav_tso2
;gamma_old= dblarr(mchan) & gamma_old=interpol(gammav_tso2,lv_tso2,chan)

close,31  & openw,31,'so2_coe_eff'+citype+cfwhm
printf,31,'Effective  absorption coefficients [atm-cm-1]                   
printf,31,'Slit function:',citype,'	FWHM=',cfwhm
printf,31,'lambda(vac)  ',' O3 (228K)','		SO2('+SO2_TEMP+')'
printf,31,'     A       ',' 1/atm_cm           		1/atm         		'
	for il=0,mchan-1 do begin
	printf,31,10.*chan(il),alpha228T(il) , gamma(il)
;	printf,31,10.*chan(il),alpha228T(il) , gamma(il),gamma_old(il)
        format='(7e12.4)'
	endfor

close,3  & close, 31 


stop
end
