pro airvac, airlam, vaclam
    lam= airlam*10.  ; convert to Angstroms
    sigma2 = 1.d8/lam/lam
    fact = 1.D0 + 6.4328D-5 + 2.94981D-2/(146.D0 - sigma2) + $
                            2.5540D-4/( 41.D0 - sigma2)
    vaclam=fact*airlam

return
end

;	UV-MFRSR #271 air wavelengths: 
;w_air=[299.758,305.408,311.485,317.638,325.498,332.558,367.906]

;	TOMS UV air wavelengths
w_air=[305.000,310.000,324.000,340.000,350.000,360.000,380.000,400.000]

m_wav=n_elements(w_air)
print,'w_air=',w_air
airvac,w_air, w_vac     ; shift to vac wavelengths

    for i=0,m_wav-1 do print,w_air(i),w_vac(i), format='(f8.4,2x,f8.4)'

print,'w_vac=',w_vac
print,'delta_w=',w_vac-w_air
stop
end

