dops=1
if dops eq 1 then begin
set_plot,'ps'
device,filename='alphaplot.ps'
;
!p.charsize=1.5
!p.charthick=5.0
!p.thick=5.0
!x.thick=5.0
!y.thick=5.0
endif
cartrn=''
;
hdr=''
bass=fltarr(6,1601)
bass=fltarr(6,1521)
openr,1,'BSBR_V8.DAT'
;openr,1,'../v8tables/BSBR_V8.DAT'
readf,1,hdr
readf,1,bass
close,1
;
tmp=-47.0
basst=reform(bass(1,*)+bass(2,*)*tmp+bass(3,*)*tmp*tmp)
bassdt=reform(bass(2,*)+2.0*bass(3,*)*tmp)/basst*1000.0
;
lamda=reform(bass(0,*))/10.0
ranges=fltarr(2,10)
ranges(0,*)=[254,264,274,284,294,304,314,324,334,344]
ranges(1,*)=[266,276,286,296,306,316,326,336,346,356]
;
;  check differences at TOMS wavelengths, ad, ep, n7, m3
;
wltoms=[3087.3,3126.4,3176.6,3224.5,3313.6,3601.7, $
        3087.0,3126.1,3176.2,3224.2,3313.4,3601.5, $
        3123.4,3173.5,3310.6,3396.6,3598.8,3799.5, $
        3124.0,3174.5,3311.8,3397.8,3600.5,3802.1]
wltoms=[312.4,317.5,331.2,360.0]
;
bsstms=interpol(basst,lamda,wltoms)
;
plot,lamda,basst,xrange=[250,340],xstyle=1, $
;  title='Ozone Absorption Coefficients', $
  xtitle='Wavelength (nm)',ytitle='Absorption Coefficient (atm-cm-1)'
xyouts,0.26,0.95,/norm,'Ozone Absorption Coefficients',charsize=2.0
;xbox=[310,340,340,310,310] & ybox=[0.0,0.0,2.5,2.5,0.0]
;oplot,xbox,ybox
;oplot,wltoms,bsstms,psym=2
read,cartrn
;
plot,lamda,basst,xrange=[310,340],xstyle=1, $
;  title='Ozone Absorption Coefficients', $
  xtitle='Wavelength (nm)',ytitle='Absorption Coefficient (atm-cm-1)'
xyouts,0.26,0.95,/norm,'Ozone Absorption Coefficients',charsize=2.0
oplot,wltoms,bsstms,psym=2
read,cartrn
;
if dops eq 1 then device,/close
;
end
