;set_plot,'ps'
;device,filename='bremenftsl.ps',xoffset=2,yoffset=2,ysize=24
;!p.multi=[0,0,2,0,0]
cartrn=''
;
!p.charthick=2.0
!p.charsize=1.5
!p.thick=2.0
!x.thick=2.0
!y.thick=2.0
;
reread=1
if reread eq 1 then begin
;
alfa=fltarr(5,19886)
lamda=fltarr(5,19886)
hdr=''
;
data=fltarr(4,19886)
OPENR,1, 'o3_203l.dat'
for i=0,43 do begin
 readf,1,hdr
endfor
READF,1,data,format='(f10.5,f13.3,2e14.3)'
;lamda=1.0/reform(data(0,*))*(10.0^7)
lamda(0,*)=data(0,*)
alfa(0,*)=data(2,*)
close,1
;
data=fltarr(4,19886)
OPENR,1, 'o3_223l.dat'
for i=0,43 do begin
 readf,1,hdr
endfor
READF,1,data,format='(f10.5,f13.3,2e14.3)'
lamda(1,*)=data(0,*)
alfa(1,*)=data(2,*)
close,1
;
data=fltarr(4,19886)
OPENR,1, 'o3_246l.dat'
for i=0,43 do begin
 readf,1,hdr
endfor
READF,1,data,format='(f10.5,f13.3,2e14.3)'
lamda(2,*)=data(0,*)
alfa(2,*)=data(2,*)
close,1
;
data=fltarr(4,19886)
OPENR,1, 'o3_280l.dat'
for i=0,43 do begin
 readf,1,hdr
endfor
READF,1,data,format='(f10.5,f13.3,2e14.3)'
lamda(3,*)=data(0,*)
alfa(3,*)=data(2,*)
close,1
;
;data=fltarr(4,19886)
;OPENR,1, 'o3_293l.dat'
;for i=0,43 do begin
; readf,1,hdr
;endfor
;READF,1,data,format='(f10.5,f13.3,2e14.3)'
;lamda(4,*)=data(0,*)
;alfa(4,*)=data(2,*)
;close,1
;
;  convert cross-section to absorption coefficient, interpolate to
;  0.1 nm steps, and normalize to mauersberger (m0)
;
m0=304.961/310.595
alfa=alfa*2.547*(10.0^19.0)*m0
lmdout=findgen(1601)+2500.0
alfs=fltarr(4,1601)
for i=0,3 do begin
  x=reform(lamda(i,*)*10.0)
  y=reform(alfa(i,*))
  x=reverse(x) & y=reverse(y)
;  alfs(i,*)=interpol(y,x,lmdout)
;
;  to convert to smoothed result
;
  sltalf = triangle(x,y,10.0)
  alfs(i,*)=interpol(sltalf,x,lmdout)
endfor
;
qcplot=1
if qcplot eq 1 then begin
;
plot,lmdout/10.0,alfs(0,*)
for i=1,3 do oplot,lmdout/10.0,alfs(i,*)
read,cartrn
;
plot,lmdout/10.0,alfs(0,*),xrange=[300,420],xstyle=1,yrange=[0,2],ystyle=1
for i=1,3 do oplot,lmdout/10.0,alfs(i,*)
read,cartrn
;
plot,lmdout/10.0,alfs(0,*),xrange=[320,330],xstyle=1,yrange=[0,1.0],ystyle=1, $
  xtitle='Wavelength (nm)',ytitle='(atm-cm)-1', $
  title='GOME 2000 Absorption Coefficients'
xyouts,0.40,0.82,'203, 223, 246, and 280 degrees',/norm
for i=1,3 do oplot,lmdout/10.0,alfs(i,*)
read,cartrn
;
;plot,lamda(0,*),alfa(1,*)-alfa(0,*),xrange=[320,330],xstyle=1,yrange=[-0.05,0.1],ystyle=1, $
;  xtitle='Wavelength (nm)',ytitle='(atm-cm)-1', $
;  title='Absorption Differences'
;xyouts,0.27,0.42,'Differences of Adjacent Temperatures',/norm
;for i=1,2 do oplot,lamda,alfa(i+1,*)-alfa(i,*)
;read,cartrn
;
endif
;
temp=[203.0,223.0,246.0,280.0,293.0]-273.13
tcofs=fltarr(3,1601)
;
refit=1
if refit eq 1 then begin
;
;  omit room temperature data from fitting procedure
;
openw,2,'bremenftsl.dat'
first=0
cntout=0
for i=0,1600 do begin
  tcofs(*,i)=poly_fit(temp(0:3),alfs(0:3,i),2,yfit,yband,sigma,a)
  printf,2,lmdout(i),tcofs(*,i)
cntout=cntout+1
;  if first eq 0 then printf,2,lamda(i),tcofs(*,i)
;  if first eq 0 then cntout = cntout + 1
;neg=where(yfit le 0,ncnt)
;if ncnt gt 0 and first eq 0 then begin
;  print,i
;  first=1
;endif
if i mod 10 eq 0 then begin
  plot,temp,yfit
  oplot,temp,alfs(*,i),psym=2
print,i,lmdout(i),tcofs(*,i)
  read,cartrn
endif
endfor
if cntout ne 1601 then print,'ERROR!!!!!!!!!!!!!  cntout = ',cntout
close,2
;
endif
;
endif
;
ftdata=fltarr(4,1601)
openr,2,'bremenftsl.dat'
readf,2,ftdata
close,2
;
ftalf=reform(ftdata(1,*)+ftdata(2,*)*(-50.13)+ftdata(3,*)*(-50.13)^2.0)
;minus=where(ftalf lt 1.0e-8,cntm)
;ftalf(minus)=1.0e-8
plot,ftdata(0,*),ftalf,xrange=[320,325],xstyle=1,yrange=[0,0.8],ystyle=1,linestyle=1
if reread eq 1 then oplot,lmdout/10.0,alfs(1,*),linestyle=1
read,cartrn
;
if reread eq 1 then begin
;
delfit=(ftalf-alfs(1,*))/alfs(1,*)*100.0
plot,lmdout/10.0,delfit,yrange=[-5,5],ystyle=1
read,cartrn
;
endif
;
;  create output file in tomrad format using bass file as template
;
;
;  read in bass coefficients
;    WLVAC         C0           C1           C2           BETA         RHO
; 3.07139E+03  3.88057E+00  1.01524E-02  4.67511E-05  1.09969E+00  3.17000E-02
;
hdr='    WLVAC         C0           C1           C2           BETA         RHO'
data=fltarr(6,1601)
openr,1,'BASS_V8.DAT'
readf,1,hdr
readf,1,data
close,1
;
brmnalf=reform(ftdata(1,*)+ftdata(2,*)*(-50.13)+ftdata(3,*)*(-50.13)^2.0)
bassalf=reform(data(1,*)+data(2,*)*(-50.13)+data(3,*)*(-50.13)^2.0)
data(0:3,*)=ftdata
read,cartrn
;
openw,1,'BRMNl_V8.DAT'
printf,1,hdr
for i=0,1600 do printf,1,data(*,i),format='(e12.5,6e13.5)'
close,1
;
;device,/close
;
end
