;set_plot,'ps'
;device,filename='frenchfts.ps',xoffset=2,yoffset=2,ysize=24
;!p.multi=[0,0,2,0,0]
cartrn=''
;
!p.charthick=2.0
!p.charsize=1.5
!p.thick=2.0
!x.thick=2.0
!y.thick=2.0
;
;  the french data have quadratic temperature dependence in kelvin
;
data=fltarr(4,9617)
OPENR,1, '/usr/people/jqu/cgw/O3_NEW_K.DAT'
READF,1,data
lamda=data(0,*)*10.0
close,1
;
;  convert to quadratic in degrees celsius and absorption coefficient
;  plus normalize to Mauersberger  m0
;
m0=1136.0/1137.0
m0=1.0
k0=273.14
cdata=data
cdata(1,*)=(data(1,*)+data(2,*)*k0+data(3,*)*k0^2)*0.26868*m0
cdata(2,*)=(data(2,*)+data(3,*)*2.0*k0)*0.26868*m0
cdata(3,*)=(data(3,*))*0.26868*m0
;
alfat1=data(1,*)+data(2,*)*226.0+data(3,*)*226.0^2
alfat2=cdata(1,*)+cdata(2,*)*(226.0-273.14)+cdata(3,*)*(226.0-273.14)^2
;
plot,lamda,alfat1
oplot,cdata(0,*),alfat2
read,cartrn
;
plot,lamda,alfat2-alfat2,yrange=[-0.1,0.1],ystyle=1
read,cartrn
;
openw,1,'nkfrench.dat'
for i=0,9616 do printf,1,cdata(*,i),format='(e12.5,3e13.5)'
close,1
;
;device,/close
;
end
